package com.ejie.m62fb.model;

import java.math.BigDecimal;
import java.util.Date;

import org.codehaus.jackson.map.annotate.JsonDeserialize;
import org.codehaus.jackson.map.annotate.JsonSerialize;

import com.ejie.m62fb.utils.serializers.JsonBigDecimalDeserializer;
import com.ejie.m62fb.utils.serializers.JsonBigDecimalSerializer;
import com.ejie.m62fb.model.base.AbstractM62FBModel;
import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;

/**
 * VN55D0AT0
 * 
XXXX
 */

public class ExpedienteSancionador extends AbstractM62FBModel implements
		java.io.Serializable {

	private static final long serialVersionUID = 1L;

	private String codExpediente;
	private String codExterno;
	private String tipoExpedienteOrigen;

	private Vivienda vivienda;
	private String personaSancionada;

	private Date fecDesignacion;
	private Date fecCaducidad;
	private Date fecPropuesta;
	private Date fecResolucion;

	private String tipoResolucion;
	private BigDecimal importeSancion;

	private String indMulta;
	private String indRecurso;

	private String provincia;
	private String municipio;

	/**
	 * Method 'ExpedienteSancionador'.
	 */
	public ExpedienteSancionador() {
		super();
	}

	/**
	 * Method 'getVivienda'
	 * 
	 * @return vivienda
	 */
	public Vivienda getVivienda() {
		return this.vivienda;
	}

	/**
	 * Method 'setVivienda'
	 * 
	 * @param vivienda
	 *            Vivienda
	 */
	public void setVivienda(Vivienda vivienda) {
		this.vivienda = vivienda;
	}

	/**
	 * Method 'getCodExpediente'
	 * 
	 * @return codExpediente
	 */
	public String getCodExpediente() {
		return this.codExpediente;
	}

	/**
	 * Method 'setCodExpediente'
	 * 
	 * @param codExpediente
	 *            String
	 */
	public void setCodExpediente(String codExpediente) {
		this.codExpediente = codExpediente;
	}

	/**
	 * Method 'getCodExterno'
	 * 
	 * @return codExterno
	 */
	public String getCodExterno() {
		return this.codExterno;
	}

	/**
	 * Method 'setCodExterno'
	 * 
	 * @param codExterno
	 *            String
	 */
	public void setCodExterno(String codExterno) {
		this.codExterno = codExterno;
	}

	/**
	 * Method 'getTipoExpedienteOrigen'
	 * 
	 * @return tipoExpedienteOrigen
	 */
	public String getTipoExpedienteOrigen() {
		return this.tipoExpedienteOrigen;
	}

	/**
	 * Method 'setTipoExpedienteOrigen'
	 * 
	 * @param tipoExpedienteOrigen
	 *            String
	 */
	public void setTipoExpedienteOrigen(String tipoExpedienteOrigen) {
		this.tipoExpedienteOrigen = tipoExpedienteOrigen;
	}

	/**
	 * Method 'getPersonaSancionada'
	 * 
	 * @return personaSancionada
	 */
	public String getPersonaSancionada() {
		return this.personaSancionada;
	}

	/**
	 * Method 'setPersonaSancionada'
	 * 
	 * @param personaSancionada
	 *            String
	 */
	public void setPersonaSancionada(String personaSancionada) {
		this.personaSancionada = personaSancionada;
	}

	/**
	 * Method 'getFecDesignacion'
	 * 
	 * @return fecDesignacion
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecDesignacion() {
		return this.fecDesignacion;
	}

	/**
	 * Method 'setFecDesignacion'
	 * 
	 * @param fecDesignacion
	 *            Date
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecDesignacion(Date fecDesignacion) {
		this.fecDesignacion = fecDesignacion;
	}

	/**
	 * Method 'getFecCaducidad'
	 * 
	 * @return fecCaducidad
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecCaducidad() {
		return this.fecCaducidad;
	}

	/**
	 * Method 'setFecCaducidad'
	 * 
	 * @param fecCaducidad
	 *            Date
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecCaducidad(Date fecCaducidad) {
		this.fecCaducidad = fecCaducidad;
	}

	/**
	 * Method 'getFecPropuesta'
	 * 
	 * @return fecPropuesta
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecPropuesta() {
		return this.fecPropuesta;
	}

	/**
	 * Method 'setFecPropuesta'
	 * 
	 * @param fecPropuesta
	 *            Date
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecPropuesta(Date fecPropuesta) {
		this.fecPropuesta = fecPropuesta;
	}

	/**
	 * Method 'getFecResolucion'
	 * 
	 * @return fecResolucion
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFecResolucion() {
		return this.fecResolucion;
	}

	/**
	 * Method 'setFecResolucion'
	 * 
	 * @param fecResolucion
	 *            Date
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFecResolucion(Date fecResolucion) {
		this.fecResolucion = fecResolucion;
	}

	/**
	 * Method 'getTipoResolucion'
	 * 
	 * @return tipoResolucion
	 */
	public String getTipoResolucion() {
		return this.tipoResolucion;
	}

	/**
	 * Method 'setTipoResolucion'
	 * 
	 * @param tipoResolucion
	 *            String
	 */
	public void setTipoResolucion(String tipoResolucion) {
		this.tipoResolucion = tipoResolucion;
	}

	/**
	 * Method 'getImporteSancion'
	 * 
	 * @return importeSancion
	 */
	@JsonSerialize(using = JsonBigDecimalSerializer.class)
	public BigDecimal getImporteSancion() {
		return this.importeSancion;
	}

	/**
	 * Method 'setImporteSancion'
	 * 
	 * @param importeSancion
	 *            BigDecimal
	 */
	@JsonDeserialize(using = JsonBigDecimalDeserializer.class)
	public void setImporteSancion(BigDecimal importeSancion) {
		this.importeSancion = importeSancion;
	}

	/**
	 * Method 'getIndMulta'
	 * 
	 * @return indMulta
	 */
	public String getIndMulta() {
		return this.indMulta;
	}

	/**
	 * Method 'setIndMulta'
	 * 
	 * @param indMulta
	 *            String
	 */
	public void setIndMulta(String indMulta) {
		this.indMulta = indMulta;
	}

	/**
	 * Method 'getIndRecurso'
	 * 
	 * @return indRecurso
	 */
	public String getIndRecurso() {
		return this.indRecurso;
	}

	/**
	 * Method 'setIndRecurso'
	 * 
	 * @param indRecurso
	 *            String
	 */
	public void setIndRecurso(String indRecurso) {
		this.indRecurso = indRecurso;
	}

	/**
	 * Method 'getProvincia'
	 * 
	 * @return provincia
	 */
	public String getProvincia() {
		return this.provincia;
	}

	/**
	 * Method 'setProvincia'
	 * 
	 * @param provincia
	 *            String
	 */
	public void setProvincia(String provincia) {
		this.provincia = provincia;
	}

	/**
	 * Method 'getMunicipio'
	 * 
	 * @return municipio
	 */
	public String getMunicipio() {
		return this.municipio;
	}

	/**
	 * Method 'setMunicipio'
	 * 
	 * @param municipio
	 *            String
	 */
	public void setMunicipio(String municipio) {
		this.municipio = municipio;
	}
}